Name:		mate-netbook
Version:	1.5.0
Release:	1%{?dist}
Summary:	MATE netbook
License:	GPLv2+
URL:		http://www.mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.5/%{name}-%{version}.tar.xz

BuildRequires:	mate-common
BuildRequires:	mate-doc-utils
BuildRequires:	libgtop2-devel	
BuildRequires:	mate-panel-devel
BuildRequires:	rarian-compat
BuildRequires:	rarian-devel
BuildRequires:	unique-devel
BuildRequires:	xtst
BuildRequires:	libfakekey-devel
BuildRequires:	libmatewnck-devel

%description
MATE netbook

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
export LDFLAGS="$LDFLAGS -lm"
%configure					\
		--disable-static		\
		--disable-scrollkeeper		\
		--disable-schemas-compile	\
		--with-gnu-ld			
	
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'
%find_lang %{name}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_sysconfdir}/xdg/autostart/mate-maximus-autostart.desktop
%{_bindir}/mate-maximus
%{_libexecdir}/mate-window-picker-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.MateWindowPickerFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.maximus.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.mate-window-picker-applet.gschema.xml
%{_datadir}/mate-panel/applets/org.mate.panel.MateWindowPicker.mate-panel-applet
%{_datadir}/mate-panel/ui/mate-window-picker-applet-menu.xml


%changelog
* Sat Dec 01 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.0-1
- Initial build
